module sfx_log_param
    !< @brief log-roughness surface flux model parameters
    !< @details  all in SI units

    ! modules used
    ! --------------------------------------------------------------------------------
    use sfx_phys_const
    ! --------------------------------------------------------------------------------

    ! directives list
    ! --------------------------------------------------------------------------------
    implicit none
    ! --------------------------------------------------------------------------------


    !< von Karman constant [n/d]
    real, parameter :: kappa = 0.40
    !< inverse Prandtl (turbulent) number in neutral conditions [n/d]
    real, parameter :: Pr_t_0_inv = 1.15

end module sfx_log_param
