module sfx_most_param
    !< @brief MOST BD71 surface flux model parameters
    !< @details  all in SI units

    ! modules used
    ! --------------------------------------------------------------------------------
    use sfx_phys_const
    ! --------------------------------------------------------------------------------

    ! directives list
    ! --------------------------------------------------------------------------------
    implicit none
    ! --------------------------------------------------------------------------------


    !< von Karman constant [n/d]
    real, parameter :: kappa = 0.40
    !< inverse Prandtl (turbulent) number in neutral conditions [n/d]
    real, parameter :: Pr_t_0_inv = 1.15


    !< stability function coeff. (unstable)
    real, parameter :: alpha_m = 16.0
    real, parameter :: alpha_h = 16.0

    !< stability function coeff. (stable)
    real, parameter :: beta_m = 4.7
    real, parameter :: beta_h = beta_m

end module sfx_most_param
