module sfx_phys_const
    !< @brief general physics constants
    !< @details  all in SI units
    implicit none
    public

    real, parameter :: g = 9.81                 !< acceleration due to gravity [m/s^2]

    real, parameter :: nu_air = 0.000015e0      !< kinematic viscosity of air [m^2/s]
    real, parameter :: Pr_m = 0.71              !< molecular Prandtl number (air) [n/d]

end module sfx_phys_const
